aboutsummaryrefslogtreecommitdiff
path: root/package/xfsprogs/xfsprogs.mk
diff options
context:
space:
mode:
authorGravatar Baruch Siach <baruch@tkos.co.il>2018-03-20 14:34:57 +0200
committerGravatar Peter Korsgaard <peter@korsgaard.com>2018-03-23 16:31:58 +0100
commita81601589ef87c4ebb69517455f0fef8df7dd6ed (patch)
treedade0a654332f7b5561e1454ac47952f4aa187b6 /package/xfsprogs/xfsprogs.mk
parentbb7a698001302249abf57762a0483fa2c3edb50a (diff)
downloadbuildroot-a81601589ef87c4ebb69517455f0fef8df7dd6ed.tar.gz
buildroot-a81601589ef87c4ebb69517455f0fef8df7dd6ed.tar.bz2
xfsprogs: fix build with libunistring
The latest xfsprogs bump to version 4.15.1 added an optional dependency on libunistring. Make sure we build libunistring before xfsprogs. xfsprogs also added -lunistring to its make dependency. This does not work very well with cross compilation because make does not know about sysroot. Add a patch to remove this dependency. To make shared only link with libunistring work, we also need to extend the -static-libtool-libs patch to cover xfs_scrub as well. Fixes: http://autobuild.buildroot.net/results/66e/66e425b00a06f928be0951ac4196190fe88b0f62/ http://autobuild.buildroot.net/results/1cd/1cde87d1daf3c6009220ff47512794cef6a2938f/ http://autobuild.buildroot.net/results/8ba/8ba4e94cfbb8a5cbb166423a671bdbcdf535f86b/ Signed-off-by: Baruch Siach <baruch@tkos.co.il> Reviewed-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'package/xfsprogs/xfsprogs.mk')
-rw-r--r--package/xfsprogs/xfsprogs.mk4
1 files changed, 4 insertions, 0 deletions
diff --git a/package/xfsprogs/xfsprogs.mk b/package/xfsprogs/xfsprogs.mk
index 7f49e2312f..dffcc28ab7 100644
--- a/package/xfsprogs/xfsprogs.mk
+++ b/package/xfsprogs/xfsprogs.mk
@@ -20,6 +20,10 @@ XFSPROGS_CONF_OPTS = \
INSTALL_GROUP=root \
--enable-static
+ifeq ($(BR2_PACKAGE_LIBUNISTRING),y)
+XFSPROGS_DEPENDENCIES += libunistring
+endif
+
XFSPROGS_INSTALL_TARGET_OPTS = DIST_ROOT=$(TARGET_DIR) install
$(eval $(autotools-package))